Skip to Content
veriom

Transition workspace invariant proposal

POST
/v1/workspaces/{workspace_id}/structural/invariant-proposals/{proposal_id}/transition

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
proposal_id*Proposal Id
Formatuuid

Request Body

application/json
  1. body
observed_precision?|string|null
review_notes*Review Notes
Length20 <= length <= 4000
reviewed_sample_size?|null
state*State
Value in"shadow""enforced""rejected""retired"

Response Body

Successful Response

application/json
  1. response
created_at*Created At
Formatdate-time
definition*
definition_hash*Definition Hash
fixture_result*
id*Id
Formatuuid
observed_precision*string|null
promoted_at*|null
proposed_by*Proposed By
Formatuuid
rationale*Rationale
review_notes*string|null
reviewed_at*|null
reviewed_by*|null
reviewed_sample_size*Reviewed Sample Size
source*Source
state*State
target_precision*Target Precision
updated_at*Updated At
Formatdate-time
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/structural/invariant-proposals/497f6eca-6276-4993-bfeb-53cbbbba6f08/transition' \  -H 'Content-Type: application/json' \  -d '{  "review_notes": "stringstringstringst",  "state": "shadow"}'
Example Response
{  "created_at": "2019-08-24T14:15:22Z",  "definition": {},  "definition_hash": "string",  "fixture_result": {},  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "observed_precision": "string",  "promoted_at": "2019-08-24T14:15:22Z",  "proposed_by": "4950251e-cd25-4a79-b482-8e67fe2adc20",  "rationale": "string",  "review_notes": "string",  "reviewed_at": "2019-08-24T14:15:22Z",  "reviewed_by": "92ab4dbc-1b27-40ce-b24b-7dde8f4709be",  "reviewed_sample_size": 0,  "source": "string",  "state": "string",  "target_precision": "string",  "updated_at": "2019-08-24T14:15:22Z",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}